package examples;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class BasicTagParent extends TagSupport {

   String directory;
   String file;

   public BasicTagParent() {
     resetAttr();
   }

   public void release() {
     resetAttr();
   }

   public void setDirectory(String directory) {
     this.directory=directory;
   }

   public void setFile(String file) {
     this.file=file;
   }

   public int doStartTag() throws JspException {
     return EVAL_BODY_INCLUDE;
   }

   public int doEndTag() throws JspException {
     return EVAL_PAGE;
   }

   private void resetAttr() {
     directory=null;
     file=null;
   }

}


